# $Revision: 1.29 $, $Date: 2005/08/13 21:01:14 $
%define		module	itools
%define		pdf_ver 0.9.0
Summary:	Python package that encapsulates several Python tools
Summary(pl):	Zbir narzdzi dla Pythona
Name:		python-%{module}
Version:	0.10.0
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://www.ikaaro.org/download/itools/%{module}-%{version}.tar.gz
# Source0-md5:	1884dd6961117985125d106ec3ac143a
Source1:	http://www.ikaaro.org/download/itools/%{module}-%{pdf_ver}.pdf
# Source1-md5:	0da03e6f383e5037d63e9fc51d842274
URL:		http://www.ikaaro.org/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	python-PyXML >= 0.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Itools is a Python package that encapsulates several Python tools.

%description -l pl
Itools jest zbiorem narzdzi dla Pythona.

%package doc
Summary:	Documentation for itools modules
Summary(pl):	Dokumentacja do moduw pakietu itools
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%%description doc
This package contains documentation for itools Python modules.

%description doc -l pl
Pakiet zawierajcy dokumentacj dla moduw Pythona z pakietu itools.

%package examples
Summary:	Examples for itools modules
Summary(pl):	Przykady wykorzystania moduw pakietu itools
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains examples for itools Python modules.

%description examples -l pl
Pakiet zawierajcy przykadowe programy wykorzystujce moduy Pythona
z pakietu itools.

%prep
%setup -q -n %{module}-%{version}
cp %{SOURCE1} doc

%build
mkdir docs 
# docs/workflow docs/xml
mv -f {CHANGES.txt,README.txt} docs
# mv -f workflow/{HOWTO.txt,TODO.txt} docs/workflow
# mv -f xml/TODO.txt docs/xml
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version},%{_bindir}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%{_bindir}/igettext.py
%{py_sitescriptdir}/%{module}

%files doc
%defattr(644,root,root,755)
%doc doc/%{module}-%{pdf_ver}.pdf

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-itools.spec,v $
Revision 1.29  2005/08/13 21:01:14  ciesiel
- upgraded to version 0.10.0

Revision 1.28  2005/08/06 07:45:47  ciesiel
- upgraded to version 0.9.3

Revision 1.27  2005/06/27 15:13:49  ciesiel
- upgraded to version 0.9.2

Revision 1.26  2005/04/14 20:39:12  ciesiel
- upgraded to version 0.7.3

Revision 1.25  2005/02/02 16:19:51  qboosh
- gpm-friendly Source1 URL

Revision 1.24  2005/02/02 16:15:48  ciesiel
- upgraded to version 0.6.2

Revision 1.23  2005/01/10 22:28:42  ciesiel
- typo
- rel. 2

Revision 1.22  2005/01/10 22:12:26  ciesiel
- upgraded to version 0.6.0
- addded doc package

Revision 1.21  2005/01/10 20:24:51  qboosh
- updated URL, note about new version and docs

Revision 1.20  2005/01/09 18:46:52  ciesiel
- added obsoletes for doc

Revision 1.19  2005/01/09 00:40:39  ciesiel
- upgraded to version 0.5.0
- removed of creation package doc (error in makefile)

Revision 1.18  2004/12/25 13:25:23  saq
- release 2 for rebuild with python 2.4

Revision 1.17  2004/11/24 16:22:01  ciesiel
- upgrade to version 0.4.6

Revision 1.16  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.15  2004/10/17 18:24:38  ciesiel
- rel.2

Revision 1.14  2004/10/17 18:20:51  serek
- more BR.

Revision 1.13  2004/09/11 06:20:28  zboczuch
- version 0.4.4

Revision 1.12  2004/08/28 07:42:03  zboczuch
- exclude .py files

Revision 1.11  2004/08/28 06:50:07  zboczuch
- version 0.4.3

Revision 1.10  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.9  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.8  2004/06/08 18:32:20  zboczuch
- version 0.4.1
- missing_xml.patch obsoleted
- -doc and -examples subpackages separated

Revision 1.7  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2004/05/10 16:01:36  ciesiel
- added missing_xml patch

Revision 1.5  2004/05/10 15:41:51  ciesiel
- upgraded to version 0.3.0

Revision 1.4  2004/01/19 13:07:30  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.3  2003/10/25 21:15:32  ciesiel
- upgraded to 0.2.3 version
- cosmetics

Revision 1.2  2003/10/09 23:08:18  qboosh
- cleanup

Revision 1.1  2003/10/06 07:44:31  ciesiel
- initial release
